### TechNote

Number:06612-01
Date:April 1994

## Smart II Software: NetBIOS parameters

### 1 Introduction

This document describes the parameters that affect the operation of the NetBIOS interface on a particular Ringnode in your workstation. For information about enabling the Smart II Software interfaces and using a SMART.CFG file, see TechNote 06608. If you are using SMART.CFG to configure your Smart II Software, then you must place all of the NetBIOS parameters in the [NETB] section. The example below displays part of a SMART.CFG containing some of the NetBIOS parameters.

    [HOST]                 ; Host parameters here
    [CARD]                 ; First card section
    [NETB]                 ; Install NetBIOS interface
         COMMANDS=24
         DATAGRAM.MAX=N

The following table contains a list of all the NetBIOS parameters. Section 2 describes each of the NetBIOS parameters.

    Parameter                  Abbreviation

    ADAP.ADDR.NOT.REVERSED     ANR
    CALL.MAXOUT                CMO
    CLOSE.ON.RESET             CR
    COMMANDS                   C
    DATAGRAM.MAX               DG
    DLC.T1                     T1
    DLC.T2                     T2
    DLC.TI                     TI
    DLC.T1.BRIDGE              T1B
    DLC.MAXOUT                 MO
    DLC.MAXIN                  MI
    DLC.MAXOUT.INCR            MOI
    DLC.RETRY.COUNT            RC
    LISTEN.MAXOUT              LMO
    NAMES                      N
    REMOTE.DATAGRAM.CONTROL    RDC
    REMOTE.NAME.DIRECTORY      RND
    RING.ACCESS                RA
    SESSIONS                   S
    TRANSMIT.COUNT             TC
    TRANSMIT.TIMEOUT           TT

If you are configuring your Smart II Software from the command line, you can put the NetBIOS parameters anywhere. However, we recommend that you put them all together. A sample command line, which enables a NetBIOS interface with 8 names and 22 commands, is as follows.

Example: `SMART NETB C=22 NAMES=8`

### 2 NetBIOS parameters

This section describes the NetBIOS parameters. Abbreviations are given for those parameters that can be shortened.

ADAP.ADDR.NOT.REVERSED
  Prevents byte reversal of the node address that appears in the NetBIOS status area, and in the NetBIOS permanent name. By default, this node address is byte reversed. If you set the parameter to YES, then the node address is not byte reversed.

  Range: YES, Y, NO or N
  Default: NO
  Abbreviation: ANR
  Example: `ANR=YES`

CALL.MAXOUT
  Specifies the size of the transmit window for all NetBIOS sessions.

  Range: 2 - 255
  Default: 6
  Abbreviation: CMO
  Example: `CMO=20`

CLOSE.ON.RESET
  Closes and reopens the Ringnode whenever NetBIOS receives a RESET command. By default, NetBIOS closes and reopens only its own SAP when it receives a RESET command.

  Range: YES, Y, NO or N
  Default: NO
  Abbreviation: CLR
  Example: `CLR=YES`

COMMANDS
  Specifies the maximum number of NetBIOS Control Blocks (NCBs) that NetBIOS handles at any one time. If an application issues more than this number of NCBs then NetBIOS rejects them. The default value of 24 is sufficient for most NetBIOS applications.

  Reducing this parameter releases some Ringnode resources for other uses, and so increases the number of link stations and sessions that the Ringnode can support.

  This parameter has a minimum value of 20. If you specify 20 or less, COMMANDS is set to 20.

  Range: 1 - 255
  Default: 24
  Abbreviation: C
  Example: `C=22`

DATAGRAM.MAX
  Controls the maximum size of datagrams that the NetBIOS interface transmits. By default this is 512 bytes. If you set this parameter to YES, the maximum datagram size is determined by the FRAME.SIZE parameter (see TechNote 6610) and might be larger than 512 bytes. We recommend that you limit NetBIOS applications to 512-byte datagrams because some NetBIOS implementations might not support larger sizes. Range: YES, Y, NO or N
  Default: NO
  Abbreviation: DG
  Example: `DG=YES`

  DLC.MAXIN Specifies the maximum number of I-frames that are received on NetBIOS links before an LLC-level acknowledgment is sent. The default value is suitable for most situations. If you change DLC.MAXIN, make sure that its value is the same on all the NetBIOS interfaces on your network.

  Range: 1 - 127
  Default: 1
  Abbreviation: MI
  Example: `MI=5`

DLC.MAXOUT
  Specifies the maximum number of I-frames that are transmitted on NetBIOS links before an LLC-level acknowledgment is required. The default value is suitable for most situations. If you change DLC.MAXOUT, make sure that its value is the same on all the NetBIOS interfaces on your network.

  Range: 1 - 127
  Default: 2
  Abbreviation: MO
  Example: `MO=8`

DLC.MAXOUT.INCR
  Specifies the number of frames by which the size of the transmit window increases in response to a frame loss caused by temporary congestion on the network. This parameter reduces the load on bridges that have become congested.

  Range: 1 - 255
  Default: 1
  Abbreviation: MOI
  Example: `MOI=20`

DLC.RETRY.COUNT
  Specifies the number of attempts that the LLC makes to transmit I- frames on links that NetBIOS is using. After the specified number of attempts, all NetBIOS sessions to the remote adapter that is not acknowledging frames are closed with an error message. The time period separating retries is governed by the DLC.T1 parameter.

  Range: 1 - 255
  Default: 10
  Abbreviation: RC
  Example: `RC=8`

DLC.T1
  Specifies the time delay between transmission and retransmission of a frame if no acknowledgment is received. The default value gives a timeout of two seconds.

  Range: 0 - 10
  Default: 5
  Abbreviation: T1
  Example: `T1=8`

DLC.T1.BRIDGE
  Specifies the time delay between transmission and retransmission of a frame on a link that exists over one or more bridges.

  Range: 2 - 255
  Default: 7
  Abbreviation: T1B
  Example: `T1B=18`

DLC.T2
  Specifies the time delay between the receipt and acknowledgment of a frame when the frame has not reached the receive window. The default value gives a retry timeout of 120 milliseconds. This is appropriate for most situations.

  Range: 0 - 11
  Default: 7
  Abbreviation: T2
  Example: `T2=5`

DLC.TI
  Specifies the delay after which the LLC sends poll frames to check that a link is still functional. The default value gives a time-out of thirty seconds. This is longer than the default setting of the NetBIOS link-inactivity timer. Therefore, the NetBIOS timer normally expires first and sends a poll frame. This restarts the LLC's timer.

  Range: 0 - 10
  Default: 7
  Abbreviation: T1
  Example: `T1=7`

LISTEN.MAXOUT
  Specifies the size of the receive window for NetBIOS sessions. Alter LISTEN.MAXOUT with care. Range: 2 - 255
  Default: 3
  Abbreviation: LMO
  Example: `LMO=18`

NAMES
  Specifies the maximum number of NetBIOS names that the Ringnode can have at any one time. The default of 12 includes the permanent name, which is always present. The default is usually sufficient.

  This parameter has a minimum value of 7. If you specify 7 or less, NAMES is set to 7.

  Range: 2 - 254
  Minimum value: 7
  Default: 12
  Abbreviation: N
  Example: `N=14`

REMOTE.DATAGRAM.CONTROL
  Enables the remote-name directory cache to send datagrams. If there is a lot of datagram traffic then this parameter can significantly reduce network overload. By default, the remote-name directory is used only for session establishment, not for sending datagrams.

  Range: YES, Y, NO or N
  Default: NO
  Abbreviation: RDC
  Example: `RDC=YES`

REMOTE.NAME.DIRECTORY
  Specifies the number of remote addresses that can be stored in the NetBIOS remote name directory. The remote name directory allows NetBIOS to remember the location of remote nodes and to call them directly without using multi-cast frames. Note that 4 is the minimum number of name entries. If you specify 1, 2, or 3, NetBIOS still uses 4. If you specify 0 the remote-name directory is disabled.

  Range: 0 - 255
  Default: 0
  Abbreviation: RND
  Example: `RND=10`

RING.ACCESS
  Specifies the access priority with which your Ringnode transmits frames onto the ring. The higher the number, the higher the priority. Use this parameter with extreme care because if you increase it from the default value then other stations might be unable to access the network.

  Range: 0 - 3
  Default: 0
  Abbreviation: RA
  Example: `RA=1`

SESSIONS
  Specifies the maximum number of NetBIOS sessions that may be open at one time. The default is 24. For most NetBIOS applications, set this parameter to the same value as STATIONS (see TechNotes 06610 and 06611). If you specify a value for SESSIONS that is less than that of STATIONS, SESSIONS defaults to the value of STATIONS.

  However, if an application opens many NetBIOS sessions to the same remote computer, we recommend that you make the SESSIONS parameter larger than the STATIONS parameter.

  Although the maximum value allowed is 254, the amount of available memory typically imposes a limit of about 90.

  This parameter has a minimum value of 20. If you specify 20 or less, SESSIONS is set to 20.

  Range: 1 - 254
  Default: 24
  Abbreviation: S
  Example: `S=30`

TRANSMIT.COUNT
  Specifies the maximum number of times NetBIOS attempts to transmit UI frame requests.

  Range: 1 - 10
  Default: 6
  Abbreviation: TC
  Example: `TC=7`

TRANSMIT.TIMEOUT
  Specifies the delay between attempts by NetBIOS to transmit UI- frame requests (this delay is measured in units of 0.5 seconds).

  Range: 1 - 20
  Default: 1
  Abbreviation: TT
  Example: `TT=5`